Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
EzSystems\PlatformBehatBundle\Context\Argument\AnnotationArgumentResolver Class Reference

Behat Context Argument Resolver. More...

Inheritance diagram for EzSystems\PlatformBehatBundle\Context\Argument\AnnotationArgumentResolver:

## Public Member Functions
| resolveArguments (ReflectionClass $classReflection, array $arguments=[])
| Resolve service arguments for Behat Context constructor thru annotation. More...

## Public Attributes
const | SERVICE_DOC_TAG = 'injectService'
| Service annotation tag. More...

## Private Member Functions
| getMethodAnnotations ($refClass, $method='__construct')
| Returns a array with the method annotations. More...
| parseAnnotations ($annotations)
| Returns an array with the method arguments service requirements, if the methods use the service Annotation. More...

## Detailed Description

Behat Context Argument Resolver.

Definition at line 15 of file AnnotationArgumentResolver.php.

## Member Function Documentation

## ◆ getMethodAnnotations()

EzSystems\PlatformBehatBundle\Context\Argument\AnnotationArgumentResolver::getMethodAnnotations | ( |  | $refClass,
|  |  | $method = `'__construct'`
| ) |  |
| private

Returns a array with the method annotations.

Returns
  array array annotations

Definition at line 50 of file AnnotationArgumentResolver.php.

Referenced by EzSystems\PlatformBehatBundle\Context\Argument\AnnotationArgumentResolver\resolveArguments().

## ◆ parseAnnotations()

EzSystems\PlatformBehatBundle\Context\Argument\AnnotationArgumentResolver::parseAnnotations | ( |  | $annotations | ) |
| private

Returns an array with the method arguments service requirements, if the methods use the service Annotation.

Returns
  array array of methods and their service dependencies

Definition at line 68 of file AnnotationArgumentResolver.php.

Referenced by EzSystems\PlatformBehatBundle\Context\Argument\AnnotationArgumentResolver\resolveArguments().

## ◆ resolveArguments()

EzSystems\PlatformBehatBundle\Context\Argument\AnnotationArgumentResolver::resolveArguments | ( | ReflectionClass | $classReflection,
|  | array | $arguments = `[]`
| ) |  |

Resolve service arguments for Behat Context constructor thru annotation.

Symfony2Extension ArgumentResoler will convert service names to actual instances.

Parameters

  ReflectionClass | $classReflection |
  array | $arguments |

Definition at line 29 of file AnnotationArgumentResolver.php.

References EzSystems\PlatformBehatBundle\Context\Argument\AnnotationArgumentResolver\getMethodAnnotations(), and EzSystems\PlatformBehatBundle\Context\Argument\AnnotationArgumentResolver\parseAnnotations().

## Member Data Documentation

## ◆ SERVICE_DOC_TAG

const EzSystems\PlatformBehatBundle\Context\Argument\AnnotationArgumentResolver::SERVICE_DOC_TAG = 'injectService'

Service annotation tag.

Definition at line 20 of file AnnotationArgumentResolver.php.

The documentation for this class was generated from the following file:

- AnnotationArgumentResolver.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.